$primary-border: #e5e5e5;
$focussed-border: #0071b5;
$active-background: #F8FAFC;

.Select {
  height: var(--input-height);

  .Select-control {
    background-color: $active-background;
    border: 1px solid var(--tile-bg);
    border-radius: 0;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    outline: none;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: 1;
    letter-spacing: 0.4px;
    text-align: left;
    color: #222222;
    height: var(--input-height);

    .Select-multi-value-wrapper {
      .Select-placeholder {
        background-color: $active-background;
      }
    }

    .Select-input {
      line-height: var(--input-height) !important;
      height: var(--input-height) !important;

      input {
        border: none;
        color: transparent;

        &:invalid,
        &:required,
        &:required:invalid,
        &:active,
        &:hover,
        &:focus {
          border: none;
          outline: none;
        }
      }
    }

    .Select-arrow {
      border-style: none;
      background: url(../assets/new-icons/select-expand.png) center no-repeat;
      height: 9px;
      width: 20px;
    }
  }

  .Select-menu-outer {
    top: 102%;
    border: unset;
    border-radius: 6px;
    background-color: #ffffff;
    z-index: 999;
    box-shadow: 0px 3px 15px 0 rgba(0, 0, 0, 0.08);
    -moz-box-shadow: 0px 3px 15px 0 rgba(0, 0, 0, 0.08);
    -webkit-box-shadow: 0px 3px 15px 0 rgba(0, 0, 0, 0.08);

    .Select-menu {
      .Select-option {
        font-family: var(--font-first);
        font-size: var(--font-s);
        font-weight: normal;
        font-style: normal;
        font-stretch: normal;
        line-height: 1;
        letter-spacing: 0.4px;
        text-align: left;
        color: #222222;

        &.is-focused {
          background-color: #0071B5;
          color: #fff;
        }

        &.is-disabled {
          opacity: 0.5;
          cursor: not-allowed;
        }
      }

      &::-webkit-scrollbar {
        width: 5px;
        height: 5px;
      }

      &::-webkit-scrollbar-track {
        background: none;
        border: none;
      }

      &::-webkit-scrollbar-thumb {
        background: #949292;
        border-radius: 10px;
      }

      &::-webkit-scrollbar-thumb:hover {
        background: var(--primary);
      }
    }


  }

  &.is-focused,
  &.is-focused:not(.is-open) {
    border: none;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;

    .Select-control {
      background-color: $active-background;
      border: solid 1px $focussed-border;
      box-shadow: none;
      -moz-box-shadow: none;
      -webkit-box-shadow: none;
      outline: none;
    }
  }

  &.is-open {
    .Select-arrow {
      background: none;
      background: url(../assets/new-icons/up-arrow.png) center no-repeat;
    }
  }
}

.Select--single {
  .Select-value {
    background-color: $active-background;
  }
}

.Select--multi {
  height: 100% !important;
  .Select-value-icon {
    padding: 1px 3px 3px;
  }
  .Select-control {
    padding-bottom: 3px;
  }
  .Select-multi-value-wrapper {
    .Select-value {
      line-height: 15px;
      background-color: $active-background;
      border-radius: 0px;
      border: 1px solid #d3dde0;
      color: black;
      display: inline-flex;
      flex-direction: row-reverse;
      font-size: 1em;
      margin-left: 5px;
      margin-top: 5px;
      vertical-align: top;
      font-weight: 500;
    }

    .Select-value-icon {
      padding: 4px 3px 2px;
      font-size: 2.7rem;
      border-right: none;
      background-color: #fff;
      font-weight: 400;
    }

    .Select-value-label {
      border-bottom-right-radius: 2px;
      border-top-right-radius: 2px;
      cursor: default;
      padding: 3px 5px 3px 8px;
      background-color: #fff;
    }

    .Select-input {
      margin-left: 0;
    }
  }
}

.Select--single.is-disabled {
  .Select-value {
    padding: 0 15px;
    cursor: not-allowed;
    background-color: var(--disabled);
  }
}

.Select.is-disabled > .Select-control{
  cursor: not-allowed;
  background-color: var(--disabled);
  .Select-placeholder {
    background-color: var(--disabled);
  }
}